Name: starcitizen
Description: The official Star Citizen launcher.
Grade: Platinum
Arch: win64

Dependencies:
  - arial32
  - tahoma32
  - mono
  - powershell

Parameters:
  dxvk: true
  fsync: true
  discrete_gpu: true

Executable:
  name: Star Citizen
  icon: starcitizen.png
  file: RSI Launcher.exe
  path: Program Files/Roberts Space Industries/RSI Launcher/RSI Launcher.exe
  arguments: |
    __GL_SHADER_DISK_CACHE=1
    __GL_SHADER_DISK_CACHE_SIZE=1073741824
    __GL_THREADED_OPTIMIZATIONS=1
    EOS_USE_ANTICHEATCLIENTNULL=1
    radv_zero_vram="true"
    WINE_HIDE_NVIDIA_GPU=1
    WINEDLLOVERRIDES="libglesv2=builtin"
    %command%

Steps:
  - action: set_windows
    # Bump this if the system requirements change
    # https://support.robertsspaceindustries.com/hc/en-us/articles/360042417374-Star-Citizen-Minimum-System-Requirements
    version: win10
  - action: install_exe
    file_name: RSI Launcher-Setup-2.0.3.exe
    url: https://install.robertsspaceindustries.com/rel/2/RSI%20Launcher-Setup-2.0.3.exe
    file_checksum: 8c17638348ded727ae1595cccf112dc5
    arguments: /S
